[SCM] vdr-plugin-epgsearch packaging repository branch, master, updated. debian/1.0.0+git20120325-1
etobi
git at e-tobi.net
Tue Apr 3 18:08:47 UTC 2012
The following commit has been merged in the master branch:
commit 60e2b590f98374a58f670e3daab00dbaff46b3b9
Author: etobi <git at e-tobi.net>
Date: Sun Mar 25 14:07:45 2012 +0200
Added debian/rules get-vcs-snapshot
diff --git a/debian/changelog b/debian/changelog
index 131378c..c962689 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -2,6 +2,7 @@ vdr-plugin-epgsearch (1.0.0-5) unstable; urgency=low
* Build-depend on vdr-dev (>= 1.7.26)
* Standards-Version: 3.9.3
+ * Added debian/rules get-vcs-snapshot
-- Tobias Grimm <etobi at debian.org> Sun, 25 Mar 2012 12:19:46 +0200
diff --git a/debian/get-vcs-snapshot.sh b/debian/get-vcs-snapshot.sh
new file mode 100644
index 0000000..397a9de
--- /dev/null
+++ b/debian/get-vcs-snapshot.sh
@@ -0,0 +1,18 @@
+echo Downloading latest from git repository...
+set -e
+
+DEB_SOURCE_PACKAGE=`egrep '^Source: ' debian/control | cut -f 2 -d ' '`
+VERSION_DATE=`/bin/date --utc +%0Y%0m%0d`
+VERSION_FULL="1.0.0+git${VERSION_DATE}"
+
+git clone --depth 1 git://projects.vdr-developer.org/${DEB_SOURCE_PACKAGE}.git
+
+cd ${DEB_SOURCE_PACKAGE}
+GIT_SHA=`git show --pretty=format:"%h" --quiet || true`
+cd ..
+
+tar --exclude=.git -czf "../${DEB_SOURCE_PACKAGE}_${VERSION_FULL}.orig.tar.gz" ${DEB_SOURCE_PACKAGE}
+
+dch -v "$VERSION_FULL-1" "New Upstream Snapshot (commit $GIT_SHA)"
+
+rm -rf ${DEB_SOURCE_PACKAGE}
diff --git a/debian/rules b/debian/rules
index 9f487b6..865cce3 100755
--- a/debian/rules
+++ b/debian/rules
@@ -18,3 +18,6 @@ override_dh_auto_clean:
override_dh_gencontrol:
sh /usr/share/vdr-dev/dependencies.sh
dh_gencontrol
+
+get-vcs-snapshot:
+ sh debian/get-vcs-snapshot.sh
--
vdr-plugin-epgsearch packaging repository
More information about the pkg-vdr-dvb-changes
mailing list